> ## Documentation Index
> Fetch the complete documentation index at: https://docs.levelblue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Alarm Details

> Retrieves the full details for a single alarm by its UUID.



## OpenAPI

````yaml /documentation/api-reference/v2.yaml get /alarms/{alarmId}
openapi: 3.0.0
info:
  title: USM Anywhere™ API Reference
  description: >-
    AT&T Cybersecurity publishes REST APIs for USM Anywhere that provide a
    programmatic interface that will allow you to access your data directly from
    your own applications and extensions.
  version: '2.0'
servers:
  - url: https://your-subdomain.alienvault.cloud/api/2.0
    description: USM Anywhere API Server
security:
  - bearerAuth: []
tags:
  - name: Alarms
    description: Endpoints for managing and searching alarm messages.
  - name: Events
    description: Endpoints for managing and searching events.
  - name: OAuth
    description: Endpoint for OAuth 2.0 functionality.
paths:
  /alarms/{alarmId}:
    get:
      tags:
        - Alarms
      summary: Get Alarm Details
      description: Retrieves the full details for a single alarm by its UUID.
      parameters:
        - name: alarmId
          in: path
          required: true
          description: The UUID of the alarm to retrieve.
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Alarm details retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Alarm'
              example:
                uuid: 971918fd-a569-548a-5a80-1ffcda2a8365
                has_alarm: false
                needs_enrichment: true
                priority: 20
                suppressed: false
                events:
                  - uuid: f5e69126-dc89-6691-e2e7-6db03905830d
                rule_intent: Environmental Awareness
                status: open
                _links:
                  self:
                    href: >-
                      https://mysubdomain.aveng.us/api/2.0/alarms/971918fd-a569-548a-5a80-1ffcda2a8365
        '404':
          description: Alarm not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    Alarm:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        alarm_labels:
          type: array
          items:
            type: string
        has_alarm:
          type: boolean
        needs_enrichment:
          type: boolean
        packet_data:
          type: array
          items:
            type: string
        priority:
          type: integer
        suppressed:
          type: boolean
        destinations:
          type: array
          items:
            $ref: '#/components/schemas/AlarmDestination'
        sources:
          type: array
          items:
            $ref: '#/components/schemas/AlarmSource'
        events:
          type: array
          items:
            $ref: '#/components/schemas/AlarmEvent'
        _links:
          $ref: '#/components/schemas/AlarmLinks'
      required:
        - uuid
        - has_alarm
        - needs_enrichment
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
        location:
          type: string
        error:
          type: string
      required:
        - result
        - location
    AlarmDestination:
      type: object
      properties:
        address:
          type: string
        hostname:
          type: string
        fqdn:
          type: string
        asset_id:
          type: string
        organisation:
          type: string
        country:
          type: string
        canonical:
          type: string
        name:
          type: string
        event_count:
          type: integer
        _links:
          $ref: '#/components/schemas/AlarmDestinationLinks'
      required:
        - event_count
    AlarmSource:
      type: object
      properties:
        address:
          type: string
        hostname:
          type: string
        fqdn:
          type: string
        asset_id:
          type: string
        organisation:
          type: string
        country:
          type: string
        canonical:
          type: string
        name:
          type: string
        event_count:
          type: integer
        _links:
          $ref: '#/components/schemas/AlarmSouceLinks'
      required:
        - event_count
    AlarmEvent:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        has_alarm:
          type: boolean
        needs_enrichment:
          type: boolean
        priority:
          type: integer
        suppressed:
          type: boolean
        source_address:
          type: string
        source_asset_id:
          type: string
        source_canonical:
          type: string
        source_country:
          type: string
        source_fqdn:
          type: string
        source_hostname:
          type: string
        source_name:
          type: string
        source_organisation:
          type: string
        destination_address:
          type: string
        destination_asset_id:
          type: string
        destination_canonical:
          type: string
        destination_country:
          type: string
        destination_fqdn:
          type: string
        destination_hostname:
          type: string
        destination_name:
          type: string
        destination_organisation:
          type: string
        _links:
          $ref: '#/components/schemas/EventLinks'
      required:
        - uuid
        - has_alarm
        - needs_enrichment
    AlarmLinks:
      type: object
      properties:
        self:
          $ref: '#/components/schemas/HalLink'
    AlarmDestinationLinks:
      type: object
      properties:
        self:
          $ref: '#/components/schemas/HalLink'
    AlarmSouceLinks:
      type: object
      properties:
        self:
          $ref: '#/components/schemas/HalLink'
    EventLinks:
      type: object
      properties:
        self:
          $ref: '#/components/schemas/HalLink'
    HalLink:
      type: object
      properties:
        href:
          type: string
          format: uri
        templated:
          type: boolean
      required:
        - href
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````